6.0.0-git
2019-11-16

[#14463] Tags in address books are missing
Summary Tags in address books are missing
Queue Turba
Queue Version Git master
Type Bug
State Resolved
Priority 2. Medium
Owners mrubinsk (at) horde (dot) org
Requester horde_mailing (at) der-domi (dot) de
Created 2016-09-09 (1163 days ago)
Due
Updated 2017-10-20 (757 days ago)
Assigned 2016-09-09 (1163 days ago)
Resolved 2016-09-15 (1157 days ago)
Milestone
Patch No

History
2017-10-20 20:34:51 Git Commit Comment #10 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 1258bb2e57d206ea089194a9cfe824b771a58831
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Sat, 17 Sep 2016 21:56:19 -0400

Bug: 14471 Fix sorting by a name field.

This regression is related to Bug: 14463, as it was introduced with
the same change. In this case, since when we are sorting by a name field,
we use a "private" __lastname and __firstname attribute which
is not known by the driver's map, so it is ignored.

  M lib/Object.php

https://github.com/horde/turba/commit/1258bb2e57d206ea089194a9cfe824b771a58831
2017-10-20 20:34:49 Git Commit Comment #9 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit e969059465413cdc0f930cdc87e24f145a8ab8c3
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Thu, 15 Sep 2016 17:15:32 -0400

Bug: 14463 Fix regression in saving tags.

Regression the result of the fix for Bug 14046 - the bug
that keeps on giving, and giving...

  M lib/Object.php

https://github.com/horde/turba/commit/e969059465413cdc0f930cdc87e24f145a8ab8c3
2016-09-18 01:57:47 Git Commit Comment #8 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 5b62a78f44183eabae10ad98ee53043885b9aa79
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Sat Sep 17 21:49:51 2016 -0400

     Bug: 14471 Fix sorting by a name field.

     This regression is related to Bug: 14463, as it was introduced with
     the same change. In this case, since when we are sorting by a name field,
     we use a "private" __lastname and __firstname attribute which
     is not known by the driver's map, so it is ignored.

  turba/lib/Object.php | 7 ++++---
  1 file changed, 4 insertions(+), 3 deletions(-)

http://github.com/horde/horde/commit/5b62a78f44183eabae10ad98ee53043885b9aa79
2016-09-18 01:53:41 Git Commit Comment #7 Reply to this comment
Changes have been made in Git (master):

commit d7f3d75885ac69fd4bff9282c9fa9bda6bc9ab8c
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Sat Sep 17 21:49:51 2016 -0400

     Bug: 14471 Fix sorting by a name field.

     This regression is related to Bug: 14463, as it was introduced with
     the same change. In this case, since when we are sorting by a name field,
     we use a "private" __lastname and __firstname attribute which
     is not known by the driver's map, so it is ignored.

  turba/lib/Object.php | 7 ++++---
  1 file changed, 4 insertions(+), 3 deletions(-)

http://github.com/horde/horde/commit/d7f3d75885ac69fd4bff9282c9fa9bda6bc9ab8c
2016-09-16 21:23:42 horde_mailing (at) der-domi (dot) de Comment #6 Reply to this comment
Great, thanks! :-)
2016-09-15 21:16:49 Michael Rubinsky Comment #5
State ⇒ Resolved
Reply to this comment
Turba 4.2.17
2016-09-15 21:16:16 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 6c2db6a198817b6e5787fd5df0a48771dfa912c0
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Thu Sep 15 17:10:10 2016 -0400

     Bug: 14463 Fix regression in saving tags.

     Regression the result of the fix for Bug 14046 - the bug
     that keeps on giving, and giving...

  turba/lib/Object.php | 2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)

http://github.com/horde/horde/commit/6c2db6a198817b6e5787fd5df0a48771dfa912c0
2016-09-15 21:12:21 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (master):

commit efc488e7e71d3ac56391f894bbe9811cc1d4a436
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Thu Sep 15 17:10:10 2016 -0400

     Bug: 14463 Fix regression in saving tags.

     Regression the result of the fix for Bug 14046 - the bug
     that keeps on giving, and giving...

  turba/lib/Object.php | 2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)

http://github.com/horde/horde/commit/efc488e7e71d3ac56391f894bbe9811cc1d4a436
2016-09-09 17:38:47 Michael Rubinsky Comment #2
Assigned to Michael Rubinsky
State ⇒ Assigned
Reply to this comment
Confirmed.
2016-09-09 11:15:07 horde_mailing (at) der-domi (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ Tags in address books are missing
Queue ⇒ Turba
Milestone ⇒
Patch ⇒ No
Reply to this comment
There seems to be a global problem with the tags in Turba.
- if I edit a contact I can not see the last assigned tag
- if I add a new tag I can not see it in the view mode. The old one appears.
- In Column Preferences I added the tags. But I don't see any tag in the list.

Can you confirm this issue?
Domink

Saved Queries